@import '../../../providers/theme-provider/default-theme/index.scss';
.switch {
  position: relative;
  display: inline-block;
  width: 34px;
  height: 14px;

  input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  span {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    border-radius: 7px;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }

  span:before {
    position: absolute;
    content: '';
    width: 20px;
    height: 20px;
    left: -3px;
    bottom: -3px;
    background-color: $primary-color;
    border-radius: 50%;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }

  input:checked + span {
    background-color: $secondary-color;
  }

  input:focus + span {
    box-shadow: 0 0 1px $primary-color;
  }

  input:checked + span:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
}

.wrapper {
  display: flex;
  align-items: center;
  padding-right: 8px;
}

.label {
  margin-left: 16px;
}